import torch
import stanza
from gensim.models import KeyedVectors
from datasets import load_dataset
from structures import *


# loads skipgram gensim
file_name = "data/1-billion-word-language-modeling-benchmark-r13output.word2vec.vec"
model_gensim = KeyedVectors.load_word2vec_format(file_name)

# initialize tokenizer, => sentences splitting and tokenizing, !pip install stanza 
nlp = stanza.Pipeline(lang='en', processors='tokenize')

# loads dataset cnn_dailymail, !pip install datasets
dataset = load_dataset('ccdv/cnn_dailymail', '3.0.0', split='train[40%:50%]') # extract subset for testing
x = PreprocessedDataSet('/workspace/students/kreuzer/train4', dataset, model_gensim, nlp)


